Subject: Re: bug#58232: 29.0.50; alloc.c:879: assertion failed: 0 < item_size && 0 < nitems_incr_min && 0 <= n0 && -1 <= nitems_max

From: Visuwesh <[email-masked]>
Date: Sun, 02 Oct 2022 14:07:54 +0530

[Sunday October 02, 2022] Eli Zaretskii wrote:

> Is your Emacs compiled with debug info (-g3) and unstripped (no -s)?

Yes, and yes.  My configure flag is the one that is in etc/DEBUG, and
`file' reports that my binary is unstripped.

> Also, did you set up core file size limit to "unlimited"?

Looks like I messed up this part.  Here's `bt' when core dump limit is
unlimited,

Reading symbols from emacs...
[New LWP 6962]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `emacs -Q'.
Program terminated with signal SIGABRT, Aborted.
(gdb) bt
#0  __pthread_kill_implementation (threadid=<optimized out>, signo=signo@entry=6, no_tid=no_tid@entry=0) at ./nptl/pthread_kill.c:44
#1  0x00007f854d4895df in __pthread_kill_internal (signo=6, threadid=<optimized out>) at ./nptl/pthread_kill.c:78
#2  0x00007f854d43da02 in __GI_raise (sig=6) at ../sysdeps/posix/raise.c:26
#3  0x000055a416dac32d in terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:458
#4  0x000055a416e6712d in die (msg=0x55a41702d090 "0 < item_size && 0 < nitems_incr_min && 0 <= n0 && -1 <= nitems_max", file=0x55a41702d06b "alloc.c", line=879) at alloc.c:7672
#5  0x000055a416e5a9be in xpalloc (pa=0x0, nitems=0x7fffc2172868, nitems_incr_min=-87, nitems_max=-1, item_size=1) at alloc.c:879
#6  0x000055a416dad158 in load_pdump (argc=2, argv=0x7fffc2172b98) at emacs.c:935
#7  0x000055a416dade3a in main (argc=2, argv=0x7fffc2172b98) at emacs.c:1359
(gdb) 

>> I'm observing something weird here.  If I say "emacs -Q", then I get an
>> abort however if I say "src/emacs -Q", Emacs launches just fine.
>> "emacs" in my PATH refers to "src/emacs"...
>
> Yes, weird.